All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
scalar.cpp File Reference
`#include <iostream>`
`#include <algorithm>`
`#include <cmath>`
`#include "viennacl/scalar.hpp"`

Go to the source code of this file.

## Functions

template<typename ScalarType >
ScalarType | diff (ScalarType &s1, viennacl::scalar< ScalarType > &s2)
template<typename NumericT , typename Epsilon >
int | test (Epsilon const &epsilon)
int | main ()

## Detailed Description

Tests operations for viennacl::scalar objects.

Test:
  Tests operations for viennacl::scalar objects.

Definition in file scalar.cpp.

## Function Documentation

template<typename ScalarType >

ScalarType diff | ( | ScalarType & | s1,
|  | viennacl::scalar< ScalarType > & | s2
| ) |  |

Definition at line 39 of file scalar.cpp.

int main | ( |  | ) |

Definition at line 407 of file scalar.cpp.

template<typename NumericT , typename Epsilon >

int test | ( | Epsilon const & | epsilon | ) |

Definition at line 50 of file scalar.cpp.